
#ifndef __VATOOLS_TYPES_H__
#define __VATOOLS_TYPES_H__

#pragma pack(1)

//-----------------------------------------------------------------------------
// 消除编译未使用变量警告
//-----------------------------------------------------------------------------
#define V_UNREFERENCE(param) ((void)param);

typedef signed char s8;
typedef short s16;
typedef int s32;
typedef long long s64;
typedef unsigned char u8;
typedef unsigned short u16;
typedef unsigned int u32;
typedef unsigned long long u64;

typedef char i8;
typedef short i16;
typedef int i32;
typedef long long i64;
typedef long long __s64;
typedef unsigned long long __u64;

typedef signed char INT8, *PINT8;
typedef signed short INT16, *PINT16;
typedef signed int INT32, *PINT32;
typedef signed long long INT64, *PINT64;
typedef unsigned char UINT8, *PUINT8;
typedef unsigned short UINT16, *PUINT16;
typedef unsigned int UINT32, *PUINT32;
typedef unsigned long long UINT64, *PUINT64;

#define MAX_UINT64 (unsigned long long)0xFFFFFFFFFFFFFFFF ///< 定义u64 最大值
#define MAX_INT64  (unsigned long long)0x7FFFFFFFFFFFFFFF ///< 定义i64 最大值

//// remove this on windows
#define HANDLE int /// 用于统一windows 和 linux 文件描述符

#pragma pack()
#endif //__VATOOLS_TYPES_H__
