/*
 * vastai_pci - driver a Vastai PCI device
 * Copyright (C) 2021 Vastai Technologies All Rights Reserved.
 * This work is licensed under the terms of the GNU GPL, version 2.
 *
 * Create on: 2021/07/20
 * Author: adan.xue
 */

#ifndef __VASTAI_VERSION_H__
#define __VASTAI_VERSION_H__

/* Rules for defining version numbers:
 * major_ver . minor_ver . revision_ver . compiled_ver
 * version numbers will be modified automatically by script mk_package.sh,
 * when run mk_package.sh to make rpm/deb package
 */
#define VASTAI_PCI_DRIVER_VERSION ("00.23.11.30")
#define VASTAI_PCI_DRIVER_COPYRIGHT                                            \
	("Copyright (C) 2023 Vastai Technologies All Rights Reserved.")

#define VASTAI_PCI_GIT_BRANCH_NAME ("release_2.3.1_d2_4_v2_1_a1_3_hv_sp3")
#define VASTAI_PCI_GIT_COMMIT_HASH ("02bb6d2")
#define VASTAI_PCI_GIT_COMMIT_MSG  "unknown"
#define VASTAI_PCI_MKPACKAGE_TIME ("2023-11-30 08:34:06")
#define VASTAI_PCI_COMMON_INCLUDE_COMMIT_HASH  "15abb18"


/* Release Version: DriverVersion_VideoVersion_AIVersion_customerid_year_month */
#define VASTAI_VERSION "DriverV2.3.0_VideoV2.1.0_AIV1.3.0_01_23_01"

#endif
