
#ifndef __VATOOLS_H__
#define __VATOOLS_H__

#include <linux/aio.h>
#include <linux/completion.h>
#include <linux/delay.h>
#include <linux/fs.h>
#include <linux/kernel.h>
#include <linux/kthread.h>
#include <linux/ktime.h>
#include <linux/list.h>
#include <linux/miscdevice.h>
#include <linux/module.h>
#include <linux/pci.h>
#include <linux/poll.h>
#include <linux/printk.h>
#include <linux/sched.h>
#include <linux/sched/signal.h>
#include <linux/signal.h>
#include <linux/slab.h>
#include <linux/time64.h>
#include <linux/types.h>
#include <linux/uaccess.h>
#include <linux/uio.h>
#include <linux/vmalloc.h>
#include <uapi/linux/time.h>
#include <linux/ctype.h>
#include <linux/platform_device.h>
#include <linux/version.h>
#include <linux/random.h>
#include <linux/dma-buf.h>
#include <linux/errno.h>
#include <linux/init.h>
#include <linux/rtc.h>
#include <linux/cdev.h>
#include <linux/wait.h>

#include "vastai_pci_api.h"
#include "vastai_pci_dbg.h"
#include "vastai_pci_test.h"
#include "vastai_pci_boot.h"
#include "vastai_sv100_reg.h"
#include "vastai_fifo.h"
#include "vastai_pci.h"
#include "vastai_udma_engine.h"
#include "vastai_fifo.h"
#include "vastai_ai.h"
#include "vastai_dev.h"
#include "vastai_render.h"
#include "vastai_enc.h"
#include "vastaidec.h"

#include "vatools_types.h"
#include "vatools_smi_cmd.h"
#include "vatools_define.h"
#include "vatools_common.h"
#include "vatools_debugger.h"
#include "vatools_profiler.h"
#include "vatools_logger.h"
#include "vatools_smi.h"
#include "vatools_sharedmem.h"
#include "vatools_dummy.h"
#include "vatools_hw_perfmon_register.h"

#endif // __VATOOLS_H__
