#ifndef __VATOOLS_DUMMY_H__
#define __VATOOLS_DUMMY_H__

#pragma pack(1)

loff_t dummy_llseek(struct file *filp, loff_t offset, int orig);
ssize_t dummy_read(struct file *filp, char __user *buf, size_t size,
		   loff_t *pos);
ssize_t dummy_write(struct file *filp, const char __user *buf, size_t size,
		    loff_t *pos);
ssize_t dummy_write_iter(struct kiocb *iocb, struct iov_iter *from);
unsigned int dummy_poll(struct file *filp, struct poll_table_struct *wait);
long dummy_ioctl(struct file *filp, unsigned int cmd, unsigned long arg);
int dummy_mmap(struct file *filp, struct vm_area_struct *pvm);
int dummy_open(struct inode *inode, struct file *filp);
int dummy_release(struct inode *ignored, struct file *filp);
int dummy_fasync(int fd, struct file *filp, int mode);

long vatools_ioctl_v2_get_device_info(struct file *filp, unsigned int cmd,
				      unsigned long arg);
#pragma pack()
#endif //__VATOOLS_DUMMY_H__
